--- opal-3.6.6/plugins/LID/VPB/Makefile.in.old	2009-09-25 12:42:54.493503000 +0800
+++ opal-3.6.6/plugins/LID/VPB/Makefile.in	2009-09-25 12:43:06.243675000 +0800
@@ -61,6 +61,7 @@
 vpath	%.o $(OBJDIR)
 vpath	%.cpp $(SRCDIR)
 
+VERBOSE = 1
 ifeq ($(VERBOSE),)
 Q_CC = @echo [CC] `echo $< | sed s^@OPALDIR@/^^` ; 
 Q_LD = @echo [LD] `echo $(PLUGIN) | sed s^@OPALDIR@/^^` ; 
--- opal-3.6.6/plugins/LID/CAPI/Makefile.in.old	2009-09-25 12:43:26.318109000 +0800
+++ opal-3.6.6/plugins/LID/CAPI/Makefile.in	2009-09-25 12:43:33.324361000 +0800
@@ -52,6 +52,7 @@
 vpath	%.o $(OBJDIR)
 vpath	%.cxx $(SRCDIR)
 
+VERBOSE = 1
 ifeq ($(VERBOSE),)
 Q_CC = @echo [CC] `echo $< | sed s^@OPALDIR@/^^` ;
 Q_LD = @echo [LD] `echo $(PLUGIN) | sed s^@OPALDIR@/^^` ;
--- opal-3.6.6/plugins/LID/IxJ/Makefile.in.old	2009-09-25 12:44:02.294875000 +0800
+++ opal-3.6.6/plugins/LID/IxJ/Makefile.in	2009-09-25 12:44:09.348994000 +0800
@@ -57,6 +57,7 @@
 vpath	%.o $(OBJDIR)
 vpath	%.cxx $(SRCDIR)
 
+VERBOSE = 1
 ifeq ($(VERBOSE),)
 Q_CC = @echo [CC] `echo $< | sed s^@OPALDIR@/^^` ;
 Q_LD = @echo [LD] `echo $(PLUGIN) | sed s^@OPALDIR@/^^` ;
--- opal-3.6.6/plugins/fax/fax_spandsp/Makefile.in.old	2009-09-25 12:44:40.823694000 +0800
+++ opal-3.6.6/plugins/fax/fax_spandsp/Makefile.in	2009-09-25 12:44:48.749817000 +0800
@@ -61,6 +61,7 @@
 vpath	%.cpp $(SRCDIR)
 vpath	%.cpp spandsp_util
 
+VERBOSE = 1
 ifeq ($(VERBOSE),)
 Q_CC = @echo [CC] `echo $< | sed s^@OPALDIR@/^^` ;
 Q_LD = @echo [LD] `echo $(PLUGIN) | sed s^@OPALDIR@/^^` ;
--- opal-3.6.6/plugins/audio/IMA_ADPCM/Makefile.in.old	2009-09-25 12:46:40.572791000 +0800
+++ opal-3.6.6/plugins/audio/IMA_ADPCM/Makefile.in	2009-09-25 12:01:00.354083000 +0800
@@ -60,6 +60,8 @@
 OBJDIR	= ./obj
 PLUGINDIR=../..
 
+VERBOSE = 1
+
 CC	 	=@CC@
 CFLAGS	 	=@CFLAGS@
 CXX	 	=@CXX@
--- opal-3.6.6/plugins/audio/Speex/Makefile.in.old	2009-09-25 12:47:11.186870000 +0800
+++ opal-3.6.6/plugins/audio/Speex/Makefile.in	2009-09-25 12:01:00.354730000 +0800
@@ -142,6 +142,7 @@
 
 OBJDIR	= ./obj
 
+VERBOSE = 1
 ifeq ($(VERBOSE),)
 Q_CC = @echo [CC] `echo $< | sed s^@OPALDIR@/^^` ;
 Q_LD = @echo [LD] `echo $(PLUGIN) | sed s^@OPALDIR@/^^` ;
--- opal-3.6.6/plugins/audio/G726/Makefile.in.old	2009-09-25 12:47:33.131419000 +0800
+++ opal-3.6.6/plugins/audio/G726/Makefile.in	2009-09-25 12:01:00.355138000 +0800
@@ -83,6 +83,7 @@
 vpath	%.o $(OBJDIR)
 vpath	%.c $(SRCDIR)
 
+VERBOSE = 1
 ifeq ($(VERBOSE),)
 Q_CC = @echo [CC] `echo $< | sed s^@OPALDIR@/^^` ;
 Q_LD = @echo [LD] `echo $(PLUGIN) | sed s^@OPALDIR@/^^` ;
--- opal-3.6.6/plugins/audio/G722/Makefile.in.old	2009-09-25 12:47:43.195588000 +0800
+++ opal-3.6.6/plugins/audio/G722/Makefile.in	2009-09-25 12:01:00.355340000 +0800
@@ -36,6 +36,7 @@
 SRCDIR	= ./VoIPCodecs
 OBJDIR	= ./obj
 PLUGINDIR=../..
+VERBOSE = 1
 
 CC		=@CC@
 CXX		=@CXX@
--- opal-3.6.6/plugins/audio/gsm-amr/Makefile.in.old	2009-09-25 12:47:59.644022000 +0800
+++ opal-3.6.6/plugins/audio/gsm-amr/Makefile.in	2009-09-25 12:01:00.355823000 +0800
@@ -43,6 +43,7 @@
 
 PLUGIN	= ./$(BASENAME)_pwplugin.$(PLUGINEXT)
 
+VERBOSE = 1
 ifeq ($(VERBOSE),)
 Q_CC = @echo [CC] `echo $< | sed s^@OPALDIR@/^^` ;
 Q_LD = @echo [LD] `echo $(PLUGIN) | sed s^@OPALDIR@/^^` ;
--- opal-3.6.6/plugins/audio/celt/Makefile.in.old	2009-09-25 12:48:11.724147000 +0800
+++ opal-3.6.6/plugins/audio/celt/Makefile.in	2009-09-25 12:01:00.356009000 +0800
@@ -34,6 +34,7 @@
 
 PLUGIN	= ./$(BASENAME)_pwplugin.$(PLUGINEXT)
 
+VERBOSE = 1
 ifeq ($(VERBOSE),)
 Q_CC = @echo [CC] `echo $< | sed s^@OPALDIR@/^^` ;
 Q_LD = @echo [LD] `echo $(PLUGIN) | sed s^@OPALDIR@/^^` ;
--- opal-3.6.6/plugins/audio/iLBC/Makefile.in.old	2009-09-25 12:48:28.332710000 +0800
+++ opal-3.6.6/plugins/audio/iLBC/Makefile.in	2009-09-25 12:01:00.356382000 +0800
@@ -103,6 +103,7 @@
 vpath	%.o $(OBJDIR)
 vpath	%.c $(SRCDIR)
 
+VERBOSE = 1
 ifeq ($(VERBOSE),)
 Q_CC = @echo [CC] `echo $< | sed s^@OPALDIR@/^^` ;
 Q_LD = @echo [LD] `echo $(PLUGIN) | sed s^@OPALDIR@/^^` ;
--- opal-3.6.6/plugins/audio/LPC_10/Makefile.in.old	2009-09-25 12:48:51.765110000 +0800
+++ opal-3.6.6/plugins/audio/LPC_10/Makefile.in	2009-09-25 12:01:00.356821000 +0800
@@ -111,6 +111,7 @@
 vpath	%.o $(OBJDIR)
 vpath	%.c $(SRCDIR)
 
+VERBOSE =1 
 ifeq ($(VERBOSE),)
 Q_CC = @echo [CC] `echo $< | sed s^@OPALDIR@/^^` ;
 Q_LD = @echo [LD] `echo $(PLUGIN) | sed s^@OPALDIR@/^^` ;
--- opal-3.6.6/plugins/audio/SBC/Makefile.in.old	2009-09-25 12:49:04.821300000 +0800
+++ opal-3.6.6/plugins/audio/SBC/Makefile.in	2009-09-25 12:01:00.357019000 +0800
@@ -59,6 +59,7 @@
 vpath	%.c $(SRCDIR)
 vpath	%.cxx $(SRCDIR)
 
+VERBOSE =1
 ifeq ($(VERBOSE),)
 Q_CC = @echo [CC] `echo $< | sed s^@OPALDIR@/^^` ;
 Q_LD = @echo [LD] `echo $(PLUGIN) | sed s^@OPALDIR@/^^` ;
--- opal-3.6.6/plugins/audio/GSM0610/Makefile.in.old	2009-09-25 12:49:45.086262000 +0800
+++ opal-3.6.6/plugins/audio/GSM0610/Makefile.in	2009-09-25 12:01:00.357395000 +0800
@@ -131,6 +131,7 @@
 EXTRACCFLAGS=-DOPAL_STATIC_CODEC
 endif
 
+VERBOSE =1 
 ifeq ($(VERBOSE),)
 Q_CC = @echo [CC] `echo $< | sed s^@OPALDIR@/^^` ;
 Q_LD = @echo [LD] `echo $(PLUGIN) | sed s^@OPALDIR@/^^` ;
--- opal-3.6.6/plugins/video/THEORA/Makefile.in.old	2009-09-25 12:37:23.558456000 +0800
+++ opal-3.6.6/plugins/video/THEORA/Makefile.in	2009-09-25 12:37:33.165732000 +0800
@@ -52,6 +52,7 @@
            $(COMMONDIR)/trace.cxx
 
 
+VERBOSE = 1
 ifeq ($(VERBOSE),)
 Q_CC = @echo [CC] `echo $< | sed s^@OPALDIR@/^^` ;
 Q_LD = @echo [LD] `echo $(PLUGIN) | sed s^@OPALDIR@/^^` ;
--- opal-3.6.6/plugins/video/H.264/gpl/Makefile.in.old	2009-09-25 12:38:31.351908000 +0800
+++ opal-3.6.6/plugins/video/H.264/gpl/Makefile.in	2009-09-25 12:38:47.342325000 +0800
@@ -122,7 +122,7 @@
 endif
 
 
-
+VERBOSE = 1
 ifeq ($(VERBOSE),)
 Q_CC = @echo [CC] `echo $< | sed s^@OPALDIR@/^^` ;
 Q_LD = @echo [CC] `echo $(PLUGIN) | sed s^@OPALDIR@/^^` ;
--- opal-3.6.6/plugins/video/H.264/Makefile.in.old	2009-09-25 12:38:06.663312000 +0800
+++ opal-3.6.6/plugins/video/H.264/Makefile.in	2009-09-25 12:38:15.781488000 +0800
@@ -112,6 +112,7 @@
 endif
 
 
+VERBOSE = 1
 ifeq ($(VERBOSE),)
 Q_CC = @echo [CC] `echo $< | sed s^@OPALDIR@/^^` ;
 Q_LD = @echo [LD] `echo $(PLUGIN) | sed s^@OPALDIR@/^^` ;
--- opal-3.6.6/plugins/video/MPEG4-ffmpeg/Makefile.in.old	2009-09-25 12:39:08.992629000 +0800
+++ opal-3.6.6/plugins/video/MPEG4-ffmpeg/Makefile.in	2009-09-25 12:39:20.310937000 +0800
@@ -84,6 +84,7 @@
 
 OBJDIR = ./obj
 
+VERBOSE = 1
 ifeq ($(VERBOSE),)
 Q_CC = @echo [CC] `echo $< | sed s^@OPALDIR@/^^` ;
 Q_LD = @echo [LD] `echo $(PLUGIN) | sed s^@OPALDIR@/^^` ;
--- opal-3.6.6/plugins/video/H.263-1998/Makefile.in.old	2009-09-25 12:39:53.881647000 +0800
+++ opal-3.6.6/plugins/video/H.263-1998/Makefile.in	2009-09-25 12:40:01.983704000 +0800
@@ -59,7 +59,7 @@
 vpath   %.cxx $(COMMONDIR)
 vpath   %.o   $(OBJDIR)
 
-
+VERBOSE = 1
 ifeq ($(VERBOSE),)
 Q_CC = @echo [CC] `echo $< | sed s^@OPALDIR@/^^` ;
 Q_LD = @echo [LD] `echo $(PLUGIN) | sed s^@OPALDIR@/^^` ;
--- opal-3.6.6/plugins/video/H.261-vic/Makefile.in.old	2009-09-25 12:40:31.226451000 +0800
+++ opal-3.6.6/plugins/video/H.261-vic/Makefile.in	2009-09-25 12:40:45.816683000 +0800
@@ -95,6 +95,7 @@
            $(SRCDIR)/huffcode.c \
            $(SRCDIR)/bv.c \
 
+VERBOSE = 1
 ifeq ($(VERBOSE),)
 Q_CC = @echo [CC] `echo $< | sed s^@OPALDIR@/^^` ;
 Q_LD = @echo [LD] `echo $(PLUGIN) | sed s^@OPALDIR@/^^` ;