/jds/bin/diff -uprN OpenSP-1.5.1.old/nsgmls.1 OpenSP-1.5.1/nsgmls.1
--- OpenSP-1.5.1.old/nsgmls.1	1970-01-01 01:00:00.000000000 +0100
+++ OpenSP-1.5.1/nsgmls.1	2009-02-20 17:08:34.123395000 +0000
@@ -0,0 +1,2 @@
+.so man1/onsgmls.1
+...\" LSARC 2005/734 GNOME For Nevada
/jds/bin/diff -uprN OpenSP-1.5.1.old/onsgmls.1 OpenSP-1.5.1/onsgmls.1
--- OpenSP-1.5.1.old/onsgmls.1	2009-02-20 16:56:54.321008000 +0000
+++ OpenSP-1.5.1/onsgmls.1	2009-02-20 17:03:39.279706000 +0000
@@ -1,3 +1,4 @@
+'\" te
 .\"Generated by db2man.xsl. Don't modify this, modify the source.
 .de Sh \" Subsection
 .br
@@ -242,6 +243,21 @@ Same as \fB-wdefault\fR.
 \fB-u\fR
 Same as \fB-wundef\fR.
 
+.SH "ATTRIBUTES"
+.PP
+See \fBattributes\fR(5)
+for descriptions of the following attributes:
+.sp
+.TS
+tab(^G) allbox;
+cw(2.750000i)| cw(2.750000i)
+lw(2.750000i)| lw(2.750000i).
+ATTRIBUTE TYPE^ATTRIBUTE VALUE
+Availability^SUNWopensp
+Interface stability^Volatile
+.TE
+.sp
+
 .SH "SEE ALSO"
 
 .PP
@@ -249,3 +265,4 @@ Same as \fB-wundef\fR.
 
 .SH AUTHORS
 James Clark, Ian Castle <ian.castle@openjade.org>.
+...\" LSARC 2005/734 GNOME For Nevada
/jds/bin/diff -uprN OpenSP-1.5.1.old/osgml2xml.1 OpenSP-1.5.1/osgml2xml.1
--- OpenSP-1.5.1.old/osgml2xml.1	1970-01-01 01:00:00.000000000 +0100
+++ OpenSP-1.5.1/osgml2xml.1	2009-02-20 17:09:47.763849000 +0000
@@ -0,0 +1,2 @@
+.so man1/osx.1
+...\" LSARC 2005/734 GNOME For Nevada
/jds/bin/diff -uprN OpenSP-1.5.1.old/osgmlnorm.1 OpenSP-1.5.1/osgmlnorm.1
--- OpenSP-1.5.1.old/osgmlnorm.1	2009-02-20 16:56:54.321187000 +0000
+++ OpenSP-1.5.1/osgmlnorm.1	2009-02-20 17:03:48.438297000 +0000
@@ -1,3 +1,4 @@
+'\" te
 .\"Generated by db2man.xsl. Don't modify this, modify the source.
 .de Sh \" Subsection
 .br
@@ -130,6 +131,21 @@ Print the version number.
 \fB-wtype\fR
 Control warnings and errors according to type. This has the same effect as in \fBonsgmls(1)\fR.
 
+.SH "ATTRIBUTES"
+.PP
+See \fBattributes\fR(5)
+for descriptions of the following attributes:
+.sp
+.TS
+tab(^G) allbox;
+cw(2.750000i)| cw(2.750000i)
+lw(2.750000i)| lw(2.750000i).
+ATTRIBUTE TYPE^ATTRIBUTE VALUE
+Availability^SUNWopensp
+Interface stability^Volatile
+.TE
+.sp
+
 .SH "SEE ALSO"
 
 .PP
@@ -137,3 +153,4 @@ Control warnings and errors according to
 
 .SH AUTHORS
 James Clark, Ian Castle <ian.castle@openjade.org>.
+...\" LSARC 2005/734 GNOME For Nevada
/jds/bin/diff -uprN OpenSP-1.5.1.old/ospam.1 OpenSP-1.5.1/ospam.1
--- OpenSP-1.5.1.old/ospam.1	2009-02-20 16:56:54.321348000 +0000
+++ OpenSP-1.5.1/ospam.1	2009-02-20 17:04:05.065453000 +0000
@@ -1,3 +1,4 @@
+'\" te
 .\"Generated by db2man.xsl. Don't modify this, modify the source.
 .de Sh \" Subsection
 .br
@@ -166,6 +167,21 @@ Incorrect results may be produced if a v
 .PP
 If an entity reference in a default value uses the default entity and an entity with that name is subsequently defined and that default value is added to the document instance, then the resulting document may not be equivalent to the original document. \fBospam\fR will give a warning when the first two conditions are met.
 
+.SH "ATTRIBUTES"
+.PP
+See \fBattributes\fR(5)
+for descriptions of the following attributes:
+.sp
+.TS
+tab(^G) allbox;
+cw(2.750000i)| cw(2.750000i)
+lw(2.750000i)| lw(2.750000i).
+ATTRIBUTE TYPE^ATTRIBUTE VALUE
+Availability^SUNWopensp
+Interface stability^Volatile
+.TE
+.sp
+
 .SH "SEE ALSO"
 
 .PP
@@ -173,3 +189,4 @@ If an entity reference in a default valu
 
 .SH AUTHORS
 James Clark, Ian Castle <ian.castle@openjade.org>.
+...\" LSARC 2005/734 GNOME For Nevada
/jds/bin/diff -uprN OpenSP-1.5.1.old/ospcat.1 OpenSP-1.5.1/ospcat.1
--- OpenSP-1.5.1.old/ospcat.1	2009-02-20 16:56:54.321876000 +0000
+++ OpenSP-1.5.1/ospcat.1	2009-02-20 17:04:23.500401000 +0000
@@ -1,3 +1,4 @@
+'\" te
 .\"Generated by db2man.xsl. Don't modify this, modify the source.
 .de Sh \" Subsection
 .br
@@ -107,6 +108,21 @@ Print the effective system id for notati
 \fB-s name\fR, \fB--declaration=name\fR
 Print the effective system id for the SGML declaration for doctype \fIname\fR.
 
+.SH "ATTRIBUTES"
+.PP
+See \fBattributes\fR(5)
+for descriptions of the following attributes:
+.sp
+.TS
+tab(^G) allbox;
+cw(2.750000i)| cw(2.750000i)
+lw(2.750000i)| lw(2.750000i).
+ATTRIBUTE TYPE^ATTRIBUTE VALUE
+Availability^SUNWopensp
+Interface stability^Volatile
+.TE
+.sp
+
 .SH "SEE ALSO"
 
 .PP
@@ -114,3 +130,4 @@ Print the effective system id for the SG
 
 .SH AUTHOR
 Ian Castle <ian.castle@openjade.org>.
+...\" LSARC 2005/734 GNOME For Nevada
/jds/bin/diff -uprN OpenSP-1.5.1.old/ospent.1 OpenSP-1.5.1/ospent.1
--- OpenSP-1.5.1.old/ospent.1	2009-02-20 16:56:54.321533000 +0000
+++ OpenSP-1.5.1/ospent.1	2009-02-20 17:04:40.266956000 +0000
@@ -1,3 +1,4 @@
+'\" te
 .\"Generated by db2man.xsl. Don't modify this, modify the source.
 .de Sh \" Subsection
 .br
@@ -75,6 +76,21 @@ This has the same effect as in \fBonsgml
 \fB-v\fR, \fB--version\fR
 Print the version number.
 
+.SH "ATTRIBUTES"
+.PP
+See \fBattributes\fR(5)
+for descriptions of the following attributes:
+.sp
+.TS
+tab(^G) allbox;
+cw(2.750000i)| cw(2.750000i)
+lw(2.750000i)| lw(2.750000i).
+ATTRIBUTE TYPE^ATTRIBUTE VALUE
+Availability^SUNWopensp
+Interface stability^Volatile
+.TE
+.sp
+
 .SH "SEE ALSO"
 
 .PP
@@ -82,3 +98,4 @@ Print the version number.
 
 .SH AUTHORS
 James Clark, Ian Castle <ian.castle@openjade.org>.
+...\" LSARC 2005/734 GNOME For Nevada
/jds/bin/diff -uprN OpenSP-1.5.1.old/osx.1 OpenSP-1.5.1/osx.1
--- OpenSP-1.5.1.old/osx.1	2009-02-20 16:56:54.321686000 +0000
+++ OpenSP-1.5.1/osx.1	2009-02-20 17:04:48.803576000 +0000
@@ -1,3 +1,4 @@
+'\" te
 .\"Generated by db2man.xsl. Don't modify this, modify the source.
 .de Sh \" Subsection
 .br
@@ -161,6 +162,22 @@ Control the XML output according to the 
 
 Multiple \fB-x\fR options are allowed.
 
+.SH "ATTRIBUTES"
+.PP
+See \fBattributes\fR(5)
+for descriptions of the following attributes:
+.sp
+.TS
+tab(^G) allbox;
+cw(2.750000i)| cw(2.750000i)
+lw(2.750000i)| lw(2.750000i).
+ATTRIBUTE TYPE^ATTRIBUTE VALUE
+Availability^SUNWopensp
+Interface stability^Volatile
+.TE
+.sp
+.SH LINKS
+
 .SH "SEE ALSO"
 
 .PP
@@ -168,3 +185,4 @@ Multiple \fB-x\fR options are allowed.
 
 .SH AUTHORS
 James Clark, Ian Castle <ian.castle@openjade.org>.
+...\" LSARC 2005/734 GNOME For Nevada
/jds/bin/diff -uprN OpenSP-1.5.1.old/s2x.1 OpenSP-1.5.1/s2x.1
--- OpenSP-1.5.1.old/s2x.1	1970-01-01 01:00:00.000000000 +0100
+++ OpenSP-1.5.1/s2x.1	2009-02-20 17:09:22.032465000 +0000
@@ -0,0 +1,2 @@
+.so man1/osx.1
+...\" LSARC 2005/734 GNOME For Nevada
/jds/bin/diff -uprN OpenSP-1.5.1.old/sgml2xml.1 OpenSP-1.5.1/sgml2xml.1
--- OpenSP-1.5.1.old/sgml2xml.1	1970-01-01 01:00:00.000000000 +0100
+++ OpenSP-1.5.1/sgml2xml.1	2009-02-20 17:06:32.438505000 +0000
@@ -0,0 +1,2 @@
+.so man1/osx.1
+...\" LSARC 2005/734 GNOME For Nevada
/jds/bin/diff -uprN OpenSP-1.5.1.old/sgmlnorm.1 OpenSP-1.5.1/sgmlnorm.1
--- OpenSP-1.5.1.old/sgmlnorm.1	1970-01-01 01:00:00.000000000 +0100
+++ OpenSP-1.5.1/sgmlnorm.1	2009-02-20 17:07:24.832231000 +0000
@@ -0,0 +1,2 @@
+.so man1/osgmlnorm.1
+...\" LSARC 2005/734 GNOME For Nevada
/jds/bin/diff -uprN OpenSP-1.5.1.old/spam.1 OpenSP-1.5.1/spam.1
--- OpenSP-1.5.1.old/spam.1	1970-01-01 01:00:00.000000000 +0100
+++ OpenSP-1.5.1/spam.1	2009-02-20 17:07:40.493548000 +0000
@@ -0,0 +1,2 @@
+.so man1/ospam.1
+...\" LSARC 2005/734 GNOME For Nevada
/jds/bin/diff -uprN OpenSP-1.5.1.old/spcat.1 OpenSP-1.5.1/spcat.1
--- OpenSP-1.5.1.old/spcat.1	1970-01-01 01:00:00.000000000 +0100
+++ OpenSP-1.5.1/spcat.1	2009-02-20 17:08:04.384468000 +0000
@@ -0,0 +1,2 @@
+.so man1/ospcat.1
+...\" LSARC 2005/734 GNOME For Nevada
/jds/bin/diff -uprN OpenSP-1.5.1.old/spent.1 OpenSP-1.5.1/spent.1
--- OpenSP-1.5.1.old/spent.1	1970-01-01 01:00:00.000000000 +0100
+++ OpenSP-1.5.1/spent.1	2009-02-20 17:08:10.105986000 +0000
@@ -0,0 +1,2 @@
+.so man1/ospent.1
+...\" LSARC 2005/734 GNOME For Nevada
/jds/bin/diff -uprN OpenSP-1.5.1.old/Makefile.am OpenSP-1.5.1/Makefile.am
--- OpenSP-1.5.1.old/Makefile.am	2009-02-20 16:56:54.307688000 +0000
+++ OpenSP-1.5.1/Makefile.am	2009-02-20 17:53:27.579799000 +0000
@@ -13,7 +13,7 @@ docdir = $(datadir)/doc
 pkgdocdir = $(docdir)/@PACKAGE@
 man1dir=$(mandir)/man1
 
-man_MANS = onsgmls.1 osgmlnorm.1 ospent.1 ospam.1 osx.1 ospcat.1
+man_MANS = nsgmls.1 onsgmls.1 osgml2xml.1 osgmlnorm.1 ospent.1 ospam.1 osx.1 ospcat.1 s2x.1 sgml2xml.1 sgmlnorm.1 spam.1 spcat.1 spent.1
 
 pkgdoc_DATA = README ABOUT-NLS NEWS COPYING AUTHORS BUGS ChangeLog \
 	releasenotes.html releasenotes.pdf releasenotes.ps
@@ -29,8 +29,7 @@ MAINTAINERCLEANFILES = install-sh mkinst
 ## We include msggen.pl, since it won't be generated on Windows.
 EXTRA_DIST = instmac.pl msggen.pl sunfix.sh SP.dsw SP.mak \
 	build-win32.bat sp-generate.mak .cvsignore all \
-	@PACKAGE@-@VERSION@.spec config.rpath onsgmls.1 \
-	osgmlnorm.1 ospam.1 ospent.1 osx.1 ospcat.1 \
+	@PACKAGE@-@VERSION@.spec config.rpath $(man_MANS) \
 	releasenotes.html releasenotes.pdf releasenotes.ps \
 	BUGS
 